genders-perl-compat-1.22-lp151.4.3.x86_64.rpm


Advertisement

Description

genders-perl-compat - Perl compatibility Library

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename genders-perl-compat-1.22-lp151.4.3.x86_64.rpm
Package name genders-perl-compat
Package version 1.22
Package release lp151.4.3
Package architecture x86_64
Package type rpm
Category Development/Languages/Perl
Homepage https://github.com/chaos/genders
License GPL-2.0-or-later
Maintainer -
Download size 16.77 KB
Installed size 23.53 KB
Perl genders API for the most part used exclusively by LLNL. It is compatible with earlier releases of genders.

Alternatives

Package Version Architecture Repository
genders-perl-compat - - -

Requires

Name Value
/usr/bin/perl -

Provides

Name Value
genders-perl-compat = 1.22-lp151.4.3
genders-perl-compat(x86-64) = 1.22-lp151.4.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package genders-perl-compat-1.22-lp151.4.3.x86_64.rpm
Source Package genders-1.22-lp151.4.3.src.rpm

Install Howto

Install genders-perl-compat rpm package:

# zypper install genders-perl-compat

Files

Path
/usr/lib/genders/gendlib.pl
/usr/lib/genders/hostlist.pl
/usr/share/man/man3/gendlib.3.gz

Changelog

2018-12-01 - eich@suse.com
- Fix %%license.
2018-10-19 - cgoll@suse.com
- Added lua binding with lua_bindings.patch
* package lua-genders cotains the bindings (FATE#326456).
2018-02-20 - jjolly@suse.com
- Added new package genders-base for the configuration file common
to the libraries (bsc#1081479)
* genders, libgenders, and libgendersplusplus now require
geners-base
- %install comments out sample configuration using sed
2018-02-01 - eich@suse.com
- Changed license to GPL-2.0+ as suggested by babelworx.
2018-02-01 - jengelh@inai.de
- There is already a macro for name, do not reinvent it.
- Replace old $RPM_* shell vars.
- %if blocks must surround %files because empty packages are
not allowed.
2018-01-31 - cgoll@suse.com
- Put the libraries to external packages
* added sample config files
* rename compat file and updated its description
2018-01-30 - cgoll@suse.com
- removed .la and .a files
2018-01-30 - cgoll@suse.com
- moved the perl and python bindings to seperate packages
2018-01-28 - eich@suse.com
- Fix error in SLES build: use proper --root argument with
'python genderssetup.py ...'. With this the entire
- -with-extension-destdir infrastructure becomes pointless.
The following patches remove it and make the install process
rely on the DESTDIR make macro which is used by the autotools
already:
* Fix-Python-package-installation-use-root.patch
* Remove-PERL_DESTDIR-use-DESTDIR-instead.patch
* Remove-all-remains-of-EXTENSION_DESTDIR.patch
2017-12-08 - cgoll@suse.com
- Needed by (FATE#324149)
- intial commit if genders version 1.22

See Also

Package Description
geners-devel-1.11.1-lp151.2.3.x86_64.rpm Sources and header files for Geners
gengetopt-2.22.6-lp151.3.4.x86_64.rpm Commandline parser generator
genius-1.0.23-lp151.2.5.x86_64.rpm General purpose calculator and mathematics tool
genius-devel-1.0.23-lp151.2.5.x86_64.rpm Development files for Genius, a general purpose calculator
genius-lang-1.0.23-lp151.2.5.noarch.rpm Translations for package genius
genromfs-0.5.2-lp151.2.3.x86_64.rpm Utility for Creating romfs File Systems
geoclue2-2.4.7-lp151.3.3.x86_64.rpm GeoLocation Framework
geoclue2-devel-2.4.7-lp151.3.3.x86_64.rpm GeoLocation Framework -- Development files
geocode-glib-3.25.4.1-lp151.2.3.x86_64.rpm Convenience library for the Yahoo! Place Finder APIs
geocode-glib-devel-3.25.4.1-lp151.2.3.x86_64.rpm Development files for geocode-glib, a library for the Yahoo Place Finder APIs
geoipupdate-2.5.0-lp151.2.3.x86_64.rpm GeoIP update client code
geos-devel-3.6.2-lp151.3.3.x86_64.rpm Development files for GEOS
geotiff-1.4.2-lp151.3.3.x86_64.rpm Library to handle georeferenced TIFF
geotiff-devel-1.4.2-lp151.3.3.x86_64.rpm GeoTIFF header files
gerbv-2.6.1-lp151.2.3.x86_64.rpm Gerber File Viewer that supports the RS-274X Standard
Advertisement
Advertisement